[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomDrawGrid.NotifyColRowChange

Performs a notification when a column or row has been changed.

## Declaration

Source position: grids.pas line 1435

`protected procedure TCustomDrawGrid.NotifyColRowChange(`
`WasInsert: Boolean;`
`IsColumn: Boolean;`
`FromIndex: Integer;`
`ToIndex: Integer`
`);`

## Arguments

`WasInsert` |  | True if an insert triggered the notification.
`IsColumn` |  | True if a column was affected by the change.
`FromIndex` |  | Column or row number affected by the change.
`ToIndex` |  | Column or row number affected by the change.

## Description

NotifyColRowChange is a method used to signal an event handler when a column or a row in the grid has been changed.

WasInsert determines the event handler signalled in the method. When WasInsert is set to True, the OnColRowInserted event handler is signalled (when assigned). When set to False, the OnColRowDeleted event handler is signalled (when assigned).

FromIndex and ToIndex indicate the column(s) or row(s) affected by the change. FromIndex has the column or row number where the action was performed. When a column or row was inserted, ToIndex has the same value as FromIndex. For changes to ColCount or RowCount, FromIndex and ToIndex contain the column or row count prior to and following the change.

NotifyColRowChange is called from methods like ColRowInserted, ColRowDeleted, and SizeChanged.